package hirs.persist;

/**
 * This class represents an <code>Exception</code> generated by a
 * <code>aManageer</code>.
 */
public class AppraiserManagerException extends RuntimeException {

    private static final long serialVersionUID = -7154997373792016964L;

    /**
     * Creates a new <code>AppraiserManagerException</code> that has the message
     * <code>msg</code>.
     *
     * @param msg
     *            exception message
     */
    AppraiserManagerException(final String msg) {
        super(msg);
    }

    /**
     * Creates a new <code>AppraiserManagerException</code> that wraps the given
     * <code>Throwable</code>.
     *
     * @param t
     *            root cause
     */
    AppraiserManagerException(final Throwable t) {
        super(t);
    }

    /**
     * Creates a new <code>AppraiserManagerException</code> that has the message
     * <code>msg</code> and wraps the root cause.
     *
     * @param msg
     *            exception message
     * @param t
     *            root cause
     */
    AppraiserManagerException(final String msg, final Throwable t) {
        super(msg, t);
    }

}
