package hirs.persist;

/**
 * This class represents an <code>Exception</code> generated by a
 * <code>IMADeviceStateManageer</code>.
 */
public class IMADeviceStateManagerException extends RuntimeException {

    private static final long serialVersionUID = 1266522688839309858L;

    /**
     * Creates a new <code>IMADeviceStateManagerException</code> that has the
     * message <code>msg</code>.
     *
     * @param msg
     *            exception message
     */
    IMADeviceStateManagerException(final String msg) {
        super(msg);
    }

    /**
     * Creates a new <code>IMADeviceStateManagerException</code> that wraps the
     * given <code>Throwable</code>.
     *
     * @param t
     *            root cause
     */
    IMADeviceStateManagerException(final Throwable t) {
        super(t);
    }

    /**
     * Creates a new <code>IMADeviceStateManagerException</code> that has the
     * message <code>msg</code> and wraps the root cause.
     *
     * @param msg
     *            exception message
     * @param t
     *            root cause
     */
    IMADeviceStateManagerException(final String msg, final Throwable t) {
        super(msg, t);
    }

}
